# Control de Gastos

Una aplicación web progresiva (PWA) para el control de gastos e ingresos, diseñada para uso personal y familiar.

## Características

- 📱 Diseño móvil-first optimizado para iPhone
- 💰 Control de ingresos y gastos
- 📊 Gráfica interactiva de balance
- 🔄 Sincronización offline/online
- 📅 Gestión de transacciones recurrentes
- 🎨 Interfaz moderna y fácil de usar

## Requisitos

- Node.js 18 o superior
- MySQL 8 o superior
- npm o yarn

## Instalación

1. Clona el repositorio:
```bash
git clone https://github.com/tu-usuario/control-gastos.git
cd control-gastos
```

2. Instala las dependencias:
```bash
npm install
```

3. Configura la base de datos:
   - Crea una base de datos MySQL llamada `expenses_db`
   - Copia el archivo `.env.example` a `.env`
   - Actualiza las credenciales de la base de datos en el archivo `.env`

4. Inicializa la base de datos:
```bash
npx prisma migrate dev
```

5. Inicia el servidor de desarrollo:
```bash
npm run dev
```

## Uso

1. Abre la aplicación en tu navegador móvil
2. Para instalar como PWA:
   - En Safari: Toca el botón "Compartir" y selecciona "Añadir a pantalla de inicio"
   - En Chrome: Toca el menú y selecciona "Añadir a pantalla de inicio"

3. Comienza a registrar tus ingresos y gastos:
   - Toca el botón "+" para agregar un ingreso
   - Toca el botón "-" para agregar un gasto
   - Marca la opción "Recurrente" para transacciones periódicas

## Tecnologías Utilizadas

- Next.js 14
- TypeScript
- TailwindCSS
- Chart.js
- Prisma ORM
- MySQL
- IndexedDB (para almacenamiento offline)

## Licencia

MIT
