"use client";

import { HomeIcon, ChartBarIcon } from "@heroicons/react/24/outline";

interface BottomNavProps {
  activeTab: string;
  onTabChange: (tab: string) => void;
}

export default function BottomNav({ activeTab, onTabChange }: BottomNavProps) {
  return (
    <div className="fixed bottom-0 left-0 right-0 bg-gray-800 border-t border-gray-700">
      <div className="flex justify-around items-center h-16">
        <button
          onClick={() => onTabChange("home")}
          className={`flex flex-col items-center space-y-1 ${
            activeTab === "home" ? "text-green-500" : "text-gray-400"
          }`}
        >
          <HomeIcon className="w-6 h-6" />
          <span className="text-xs">Inicio</span>
        </button>

        <button
          onClick={() => onTabChange("stats")}
          className={`flex flex-col items-center space-y-1 ${
            activeTab === "stats" ? "text-green-500" : "text-gray-400"
          }`}
        >
          <ChartBarIcon className="w-6 h-6" />
          <span className="text-xs">Estadísticas</span>
        </button>
      </div>
    </div>
  );
}
